<template>
  <section
    :class="{ ['color' + market.shop_color]: true, ['layout' + market.shop_style]: true }"
    class="market">
    <div class="shop-html">
      <div class="shop-body">
        <!-- I bet we could condidtionally change the id to a class here that's the only diff -->
        <div
          v-if="market.shop_style == 1"
          id="awning">
          <div
            v-if="market.admin"
            id="menubg">
            <div
              v-if="market.admin"
              id="menu">
              <ul
                id="nav"
                class="tab-buttons">
                <router-link
                  :to="{name: 'marketmain'}"
                  tag="li">
                  <a
                    :class="{selected: (this.$route.name === 'marketmain')}"
                    class="tab">Home
                  </a>
                </router-link>
                <router-link
                  :to="{name: 'marketaccounting'}"
                  tag="li">
                  <a
                    :class="{selected: (this.$route.name === 'marketaccounting')}"
                    class="tab">Accounting
                  </a>
                </router-link>
                <div class="clear"/>
              </ul>
            </div>
          </div>
          <div class="yat">
            <div id="yatlogo">
              <img
                id="yatlogoimg"
                :src="logo"
                width="98"
                height="81">
            </div>
          </div>
          <div id="content">
            <div id="marketTabs">
              <router-view
                :shop="market"
                :has-swiper="hasSwiper"
                @simple-one="simpleOne"
                @simple-two="simpleTwo"
                @busy-one="busyOne"
                @busy-two="busyTwo" />
            </div>
          </div>
          <div class="clear"/>
        </div>
        <div
          v-if="market.shop_style == 2"
          class="market">
          <div
            v-if="market.admin"
            id="menubg">
            <div
              v-if="market.admin"
              id="menu">
              <ul
                id="nav"
                class="tab-buttons">
                <router-link
                  :to="{name: 'marketmain'}"
                  tag="li">
                  <a
                    :class="{selected: (this.$route.name === 'marketmain')}"
                    class="tab">Home
                  </a>
                </router-link>
                <router-link
                  :to="{name: 'marketaccounting'}"
                  tag="li">
                  <a
                    :class="{selected: (this.$route.name === 'marketaccounting')}"
                    class="tab">Accounting
                  </a>
                </router-link>
                <div class="clear"/>
              </ul>
            </div>
          </div>
          <div class="yat">
            <div id="yatlogo">
              <img
                id="yatlogoimg"
                :src="logo"
                width="98"
                height="81">
            </div>
          </div>
          <div id="content">
            <div id="marketTabs">
              <router-view
                :shop="market"
                :has-swiper="hasSwiper"
                @simple-one="simpleOne"
                @simple-two="simpleTwo"
                @busy-one="busyOne"
                @busy-two="busyTwo" />
            </div>
          </div>
          <div class="clear"/>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
import ShopBaseView from "../shopBase.js";

export default {
  extends: ShopBaseView,
  data() {
    return {
      logo: app.network.data.shop_logo,
      market: {},
      hasSwiper: app.computerSettings.swiper,
    };
  },
  created: function () {
    this.getData();
  },
  beforeMount: function () {
    this.$router.push({name: "marketmain"});
  },
  methods: {
    getData() {
      app.session.SetSession()
        .then( () => {
        app.api.Get( "market/" + app.session.data.id )
          .then( Response => {
            console.log(Response);
            this.market = Response;
            app.Message( "Successfully loaded the Market!", "success" );
          })
          .catch( x => app.Message( x.error, "error" ) );
        });
    },
    simpleOne() {
      this.market.shop_style = 1;
      this.market.shop_color = 1;
    },
    simpleTwo() {
      this.market.shop_style = 1;
      this.market.shop_color = 2;
    },
    busyOne() {
      this.market.shop_style = 2;
      this.market.shop_color = 1;
    },
    busyTwo() {
      this.market.shop_style = 2;
      this.market.shop_color = 2;
    },
  },
};
</script>

<style lang="less">
.market.layout1.color1 {
  .clearfix:after { content: "."; display: block; height: 0; clear: both; visibility: hidden; }
  .clearfix { display: inline-block; }
  * html .clearfix { height: 1%; }
  .clearfix { display: block; }
  /* Market common */

  @sidebarcolor: none;
  @shopnametop: 4rem;
  @shopnameleft: 42rem;
  @sidebarfloat: left;
  @maincontentfloat:right;
  @bgcolor: #b2b2b0;
  @tabactivefontcolor: #fff;
  @tabfontcolor: #fff;
  @tabactive:rgba(0,0,0,.5);
  .bggradient() {
    background: -moz-linear-gradient(top,  rgba(255,255,255,0.15) 0%, rgba(0,0,0,0.15) 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(255,255,255,0.15)), color-stop(100%,rgba(0,0,0,0.15)));
    background: -webkit-linear-gradient(top,  rgba(255,255,255,0.15) 0%,rgba(0,0,0,0.15) 100%);
    background: -o-linear-gradient(top,  rgba(255,255,255,0.15) 0%,rgba(0,0,0,0.15) 100%);
    background: -ms-linear-gradient(top,  rgba(255,255,255,0.15) 0%,rgba(0,0,0,0.15) 100%);
    background: linear-gradient(to bottom,  rgba(255,255,255,0.15) 0%,rgba(0,0,0,0.15) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#26ffffff', endColorstr='#26000000',GradientType=0 );
  }
  .shopbuttonstyles() {
    background-color: #ffa400;
    border-color: #ffdb99;
    color: #fff;
  }
  //color1
  @bgimage:url(/images/shop/market/marketbg.jpg);
  @marketawning:url(/images/shop/market/market-awning.png);
  @menubg:#32657d;
  @shoptitlecolor: #1e3d4b;
  @logoborder: 0.5rem solid #784d43;
  @border:1rem solid #784d42;
  @shopdesccolor:#784d42;
  @homemsgcolor:#144a68;
  @hometxtcolor:#008e18;
  @shopbackgroundcolor:#fccb42;
  @maincontentcolor: #5e3c35;
  @headlineborder:1rem solid #492b00;
  @tabfontcolor: #fff;
  @rewardstext:#784d43;
  @rewardsheadline:#1e3d4b;
  @maincontentp:#7eac0e;
  @maincontenth1:#4c3c34;
  @h1shadow:none;
  @activetabcolor:#64890b;
  @buttonbackground:#7eac0e;
  @buttonborder:#a3cf69;
  @buttonborderhover:#7eac0e;

  @import '../../shared.less';
  @import './marketLayout1.less';
}

</style>

<style lang="less">
.market.layout1.color2 {
    .clearfix:after { content: "."; display: block; height: 0; clear: both; visibility: hidden; }
  .clearfix { display: inline-block; }
  * html .clearfix { height: 1%; }
  .clearfix { display: block; }
  /* Market common */

  @sidebarcolor: none;
  @shopnametop: 4rem;
  @shopnameleft: 42rem;
  @sidebarfloat: left;
  @maincontentfloat:right;
  @bgcolor: #b2b2b0;
  @tabactivefontcolor: #fff;
  @tabfontcolor: #fff;
  @tabactive:rgba(0,0,0,.5);
  .bggradient() {
    background: -moz-linear-gradient(top,  rgba(255,255,255,0.15) 0%, rgba(0,0,0,0.15) 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(255,255,255,0.15)), color-stop(100%,rgba(0,0,0,0.15)));
    background: -webkit-linear-gradient(top,  rgba(255,255,255,0.15) 0%,rgba(0,0,0,0.15) 100%);
    background: -o-linear-gradient(top,  rgba(255,255,255,0.15) 0%,rgba(0,0,0,0.15) 100%);
    background: -ms-linear-gradient(top,  rgba(255,255,255,0.15) 0%,rgba(0,0,0,0.15) 100%);
    background: linear-gradient(to bottom,  rgba(255,255,255,0.15) 0%,rgba(0,0,0,0.15) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#26ffffff', endColorstr='#26000000',GradientType=0 );
  }
  .shopbuttonstyles() {
    background-color: #ffa400;
    border-color: #ffdb99;
    color: #fff;
  }
  //color2
  @bgimage: url(/images/shop/market/marketbg2.jpg);
  @marketawning:url(/images/shop/market/market-awning2.png);
  @menubg:#507517;
  @shoptitlecolor: #4c3c34;
  @logoborder: 0.5rem solid #459bb4;
  @border:1rem solid #459bb4;
  @shopdesccolor:#4b6e16;
  @homemsgcolor:#7f0000;
  @hometxtcolor:#337399;
  @shopbackgroundcolor:#2e55b0;
  @maincontentcolor: #4b6e0c;
  @headlineborder:1rem solid #459bb4;
  @tabfontcolor: #fff;
  @rewardstext:#4b6e0c;
  @rewardsheadline:#4c3c34;
  @maincontentp:#005495;
  @maincontenth1:#1e3d4b;
  @h1shadow:none;
  @activetabcolor:#034374;
  @buttonbackground:#459bb4;
  @buttonborder:#51b4d1;
  @buttonborderhover:#459bb4;

  @import '../../shared.less';
  @import './marketLayout1.less';

}

</style>

<style lang="less">
.market.layout2.color1 {
  .clearfix:after { content: "."; display: block; height: 0; clear: both; visibility: hidden; }
  .clearfix { display: inline-block; }
  * html .clearfix { height: 1%; }
  .clearfix { display: block; }
  /* Market common */
  @sidebarcolor: none;
  @shopnametop: 4rem;
  @shopnameleft: 42rem;
  @sidebarfloat: right;
  @maincontentfloat:left;
  @bgcolor: #b2b2b0;
  @tabactivefontcolor: #fff;
  @tabfontcolor: #fff;
  @tabactive:rgba(0,0,0,.3);
  .bggradient() {
    background: -moz-linear-gradient(top,  rgba(255,255,255,0.05) 0%, rgba(0,0,0,0.1) 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(255,255,255,0.05)), color-stop(100%,rgba(0,0,0,0.1)));
    background: -webkit-linear-gradient(top,  rgba(255,255,255,0.05) 0%,rgba(0,0,0,0.1) 100%);
    background: -o-linear-gradient(top,  rgba(255,255,255,0.05) 0%,rgba(0,0,0,0.1) 100%);
    background: -ms-linear-gradient(top,  rgba(255,255,255,0.05) 0%,rgba(0,0,0,0.1) 100%);
    background: linear-gradient(to bottom,  rgba(255,255,255,0.05) 0%,rgba(0,0,0,0.1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#26ffffff', endColorstr='#26000000',GradientType=0 );
  }
  .shopbuttonstyles() {
    background-color: #ffa400;
    border-color: #ffdb99;
    color: #fff;
  }
  //color1
  @bgimage:url(/images/shop/market/2marketbg.jpg);
  @marketawning:url(/images/shop/market/market-awning.png);
  @menubg:rgba(255,255,255,.7);
  @shoptitlecolor: #78252d;
  @logoborder: 0.5rem solid #8ac47c;
  @border:1rem solid #784d42;
  @shopdesccolor:#8ac47c;
  @homemsgcolor:#144a68;
  @hometxtcolor:#008e18;
  @shopbackgroundcolor:#fccb42;
  @maincontentcolor: #5e3c35;
  @headlineborder:1rem solid #492b00;
  @tabfontcolor: #54784c;
  @rewardstext:#874646;
  @rewardsheadline:#1e3d4b;
  @maincontentp:#7eac0e;
  @maincontenth1:#4c3c34;
  @h1shadow:none;
  @activetabcolor:#fff;
  @buttonbackground:#7eac0e;
  @buttonborder:#a3cf69;
  @activetabbg:#54784c;
  @buttonborderhover:#7eac0e;
  @headlinetext:#324f4a;

  @import '../../shared.less';
  @import './marketLayout2.less';
}

</style>

<style lang="less">
.market.layout2.color2 {
  .clearfix:after { content: "."; display: block; height: 0; clear: both; visibility: hidden; }
  .clearfix { display: inline-block; }
  * html .clearfix { height: 1%; }
  .clearfix { display: block; }
  /* Market common */
  @sidebarcolor: none;
  @shopnametop: 4rem;
  @shopnameleft: 42rem;
  @sidebarfloat: right;
  @maincontentfloat:left;
  @bgcolor: #b2b2b0;
  @tabactivefontcolor: #fff;
  @tabfontcolor: #fff;
  @tabactive:rgba(0,0,0,.3);
  .bggradient() {
    background: -moz-linear-gradient(top,  rgba(255,255,255,0.05) 0%, rgba(0,0,0,0.1) 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(255,255,255,0.05)), color-stop(100%,rgba(0,0,0,0.1)));
    background: -webkit-linear-gradient(top,  rgba(255,255,255,0.05) 0%,rgba(0,0,0,0.1) 100%);
    background: -o-linear-gradient(top,  rgba(255,255,255,0.05) 0%,rgba(0,0,0,0.1) 100%);
    background: -ms-linear-gradient(top,  rgba(255,255,255,0.05) 0%,rgba(0,0,0,0.1) 100%);
    background: linear-gradient(to bottom,  rgba(255,255,255,0.05) 0%,rgba(0,0,0,0.1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#26ffffff', endColorstr='#26000000',GradientType=0 );
  }
  .shopbuttonstyles() {
    background-color: #ffa400;
    border-color: #ffdb99;
    color: #fff;
  }
  //color2
  @bgimage: url(/images/shop/market/2market2bg.jpg);
  @marketawning:url(/images/shop/market/market-awning2.png);
  @menubg:rgba(0,0,0,.3);
  @shoptitlecolor: #fff;
  @logoborder: 0.5rem solid #44a5bd;
  @border:1rem solid #459bb4;
  @shopdesccolor:#44a5bd;
  @homemsgcolor:#7f0000;
  @hometxtcolor:#337399;
  @shopbackgroundcolor:#2e55b0;
  @maincontentcolor: #4b6e0c;
  @headlineborder:1rem solid #459bb4;
  @tabfontcolor: #fff;
  @rewardstext:#ab4418;
  @rewardsheadline:#4c3c34;
  @maincontentp:#005495;
  @maincontenth1:#1e3d4b;
  @h1shadow:none;
  @activetabcolor:#fff;
  @buttonbackground:#459bb4;
  @buttonborder:#51b4d1;
  @activetabbg:#1e3d4b;
  @buttonborderhover:#459bb4;
  @headlinetext:#ab4418;

  @import '../../shared.less';
  @import './marketLayout2.less';
}

</style>

